using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace RMYY_CallCenter_Api.Models.Enum
{

    /// <summary>
    /// 工单状态枚举
    /// </summary>
    public enum EnumDisWorkOrderState
    {
        [Description("全部")]
        all=-1,
        [Description("新工单")]
        neworder,
        [Description("待查收")]
        assign,
        [Description("待处理")]
        receive,
        //[Description("已退回待处理")]
        //reback,
        //[Description("异常退回待接单")]
        //abreback,
        [Description("处理中")]
        dealing,
        [Description("待取红处方")]
        stayred,
        [Description("待取药")]
        staydrug,
        [Description("待取血")]
        takeblood,
        [Description("待送达")]
        send,
        [Description("已完成")]
        end,
        [Description("已完结")]
        finish=10,
        //[Description("已处理待回访")]
        //dealed,
        //[Description("已回访待完结")]
        //visit,
        //[Description("已评价")]
        //evaluate,
        //[Description("已退回待指派")]
        //reassign,
        //[Description("待确认")]
        //Confirm,
    }

    /// <summary>
    /// 工单记录类型枚举
    /// </summary>
    public enum EnumDisItemType
    {
        [Description("办理")]
        deal = 1,
        [Description("催办")]
        urge = 2,
        [Description("评价")]
        evaluate = 3,
        [Description("修改")]
        update = 4,
        [Description("删除")]
        delete = 5,
        [Description("回访")]
        visit = 6,
        [Description("审批")]
        audit = 7,
        [Description("延期")]
        Delay = 8,
    }
    /// <summary>
    /// 工单记录操作
    /// </summary>
    public enum EnumDisItemOpt
    {
        [Description("添加")]
        create,
        [Description("指派")]
        assign,
        [Description("查收")]
        receive,
        [Description("处理")]
        deal,
        [Description("取红处方")]
        stayred,
        [Description("取药")]
        staydrug,
        [Description("取血")]
        takeblood,
        [Description("送达")]
        send,
        [Description("完成")]
        end,
        [Description("处理完结")]
        over,
        [Description("评价")]
        evaluate,
        [Description("修改")]
        update,
        [Description("删除")]
        delete

    }

}